microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete a memory item
DELETE
/memory_stores/{name}/items/{memory_id}
Deletes the specified memory item from the memory store.
Параметры заголовка
Foundry-Features
enum
обязательно
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Параметры пути
name
string
обязательно
The name of the memory store.
memory_id
string
обязательно
The ID of the memory item to delete.
Параметры запроса
api-version
string
обязательно
The API version to use for this operation.
Ответы
The request has succeeded.
Текст
Content-Type: application/json
object
enum
обязательно
The object type. Always 'memory_store.item.deleted'.
memory_store.item.deleted
memory_id
string
обязательно
The unique ID of the deleted memory item.
deleted
boolean
обязательно
Whether the memory item was successfully deleted.
Запрос
DELETE /memory_stores/{name}/items/{memory_id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json